/*
 *  AudioUImockup.h
 *  AudioUIdemo
 *
 *	Code and Sound Design by Peter "pdx" Drescher.
 *  Copyright 2010 twittering machine. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>
#import "SoundAlgorithm.h"
@class AudioFileArray;

@interface AudioUImockup : NSView
{
	NSColor *bgColor;
	NSString *inString;
	NSPoint currentPosition;
	NSMutableDictionary *attributes;
	
	BOOL clearScreen;
	BOOL firstScreen;
	BOOL firstChar;
	BOOL shKey;
	BOOL scrPrinting;
	
	AudioFileArray* audioFileArray;
	NSInteger currentSoundSetting;
	NSInteger currentAlgorithmSetting;
	NSInteger currentSpeedSetting;
	int	arrayPos;
	
	NSEvent scrPrintEvent;
	int terminalScreenHeight;
	int terminalScreenWidth;
	NSTimer *alertTimer;
	int alertCounter;
	NSRect alertBox;
	int alertType;
}

@property (assign, readwrite) NSColor *bgColor;
@property (copy, readwrite) NSString *inString;

- (void)setArrayPos;
- (void)doLineFeed;
- (void)doFlashingError;

@end
